<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>PyTIOVX User Guide: tiovx.image.ImagePatchAddress Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="navpath"><b>tiovx</b>.<b>image</b>.<a class="el" href="classtiovx_1_1image_1_1ImagePatchAddress.html">ImagePatchAddress</a>
  </div>
</div>
<div class="contents">
<h1>tiovx.image.ImagePatchAddress Class Reference<br/>
<small>
[<a class="el" href="group__DATA.html">2: Data Object APIs</a>]</small>
</h1><!-- doxytag: class="tiovx::image::ImagePatchAddress" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p><a class="el" href="classtiovx_1_1image_1_1Image.html" title="Image object (OpenVX equivalent = vx_image, vxCreateImage).">Image</a> patch object (OpenVX equivalent = vx_imagepatch_addressing_t). </p>
<dl class="user"><dt><b>Example Usage</b></dt><dd></dd></dl>
<p>See <a class="el" href="classtiovx_1_1image_1_1ImageFromHandle.html" title="Image from handle object (OpenVX equivalent = vx_image, vxCreateImageFromHandle)...">ImageFromHandle</a> example </p>

<p><a href="classtiovx_1_1image_1_1ImagePatchAddress-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">def&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiovx_1_1image_1_1ImagePatchAddress.html#ac1b7b586242f8503a807d93cf146fd13">__init__</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor used to create this object.  <a href="#ac1b7b586242f8503a807d93cf146fd13"></a><br/></td></tr>
</table>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac1b7b586242f8503a807d93cf146fd13"></a><!-- doxytag: member="tiovx::image::ImagePatchAddress::__init__" ref="ac1b7b586242f8503a807d93cf146fd13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def tiovx.image.ImagePatchAddress.__init__ </td>
          <td>(</td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>dim_x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>dim_y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>stride_x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>stride_y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>scale_x</em> = <code>1024</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>scale_y</em> = <code>1024</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>step_x</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&nbsp;</td>
          <td class="paramname"> <em>step_y</em> = <code>1</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor used to create this object. </p>
<p>See vx_imagepatch_addressing_t for more details about the parameters</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>dim_x</em>&nbsp;</td><td>[in] Width of image </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dim_y</em>&nbsp;</td><td>[in] Height of image </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>stride_x</em>&nbsp;</td><td>[in] Stride in X dimensions in bytes. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>stride_y</em>&nbsp;</td><td>[in] Stride in Y dimensions in bytes. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>scale_x</em>&nbsp;</td><td>[in] [optional] </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>scale_y</em>&nbsp;</td><td>[in] [optional] </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>step_x</em>&nbsp;</td><td>[in] [optional] </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>step_y</em>&nbsp;</td><td>[in] [optional] </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
